package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.TaxaEmbLevanteCtrlDAO;
import com.rjconsultores.ventaboletos.entidad.TaxaEmbLevanteCtrl;
import com.rjconsultores.ventaboletos.service.TaxaEmbLevanteCtrlService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("taxaEmbLevanteCtrlService")
public class TaxaEmbLevanteCtrlServiceImpl implements TaxaEmbLevanteCtrlService {

	@Autowired
	private TaxaEmbLevanteCtrlDAO taxaEmbLevanteCtrlDAO;

	@Override
	public List<TaxaEmbLevanteCtrl> obtenerTodos() {
		return taxaEmbLevanteCtrlDAO.obtenerTodos();
	}

	@Override
	public TaxaEmbLevanteCtrl obtenerID(Integer id) {
		return taxaEmbLevanteCtrlDAO.obtenerID(id);
	}

	@Transactional
	public TaxaEmbLevanteCtrl suscribir(TaxaEmbLevanteCtrl entidad) {

		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return taxaEmbLevanteCtrlDAO.suscribir(entidad);
	}

	@Transactional
	public TaxaEmbLevanteCtrl actualizacion(TaxaEmbLevanteCtrl entidad) {

		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return taxaEmbLevanteCtrlDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(TaxaEmbLevanteCtrl entidad) {

		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		taxaEmbLevanteCtrlDAO.actualizacion(entidad);
	}

}
